> ## Documentation Index
> Fetch the complete documentation index at: https://docs.leen.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List ITSM Projects



## OpenAPI

````yaml get /itsm/projects
openapi: 3.1.0
info:
  title: Leen Security API
  version: 0.0.1
servers:
  - url: https://api.leen.dev/v1
    description: Production API
  - url: https://api.eu-c1.leen.dev/v1
    description: Production API (EU Region)
  - url: https://api.ap-se2.leen.dev/v1
    description: Production Api (APAC Region)
security: []
paths:
  /itsm/projects:
    get:
      tags:
        - ITSM
        - Projects
      summary: List ITSM Projects
      operationId: get_projects
      parameters:
        - name: updatedSince
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            description: >-
              Datetime filter, only return items updated since this datetime.
              Example format: `2021-01-01T00:00:00+00:00`
            examples:
              - '2021-01-01T00:00:00+00:00'
            title: Updatedsince
          description: >-
            Datetime filter, only return items updated since this datetime.
            Example format: `2021-01-01T00:00:00+00:00`
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Skip token to continue from the last item in the previous page
            title: Cursor
          description: Skip token to continue from the last item in the previous page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Limit size (page size)
            default: 100
            title: Limit
          description: Limit size (page size)
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/KeySetPaginatedResponse_ScopedITSMProjectRespModel_
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Entity
      security:
        - Connection-ID: []
          API-Key: []
components:
  schemas:
    KeySetPaginatedResponse_ScopedITSMProjectRespModel_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ScopedITSMProjectRespModel'
          type: array
          title: Items
          description: List of items returned in the response
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
          description: Skip token to continue from the last item in the previous page
        previous_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Previous Cursor
          description: Skip token to continue from the first item in the previous page
      type: object
      required:
        - items
      title: KeySetPaginatedResponse[ScopedITSMProjectRespModel]
    ErrorResponse:
      properties:
        type:
          type: string
          title: Type
          description: Type of error
        code:
          type: string
          title: Code
          description: Error code
        message:
          type: string
          title: Message
          description: Error message
        detail:
          items:
            type: object
          type: array
          title: Detail
          description: List of error dictionaries
      type: object
      required:
        - type
        - code
        - message
        - detail
      title: ErrorResponse
    ScopedITSMProjectRespModel:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Leen's UUID for the Project
        name:
          type: string
          title: Name
          description: Name of the Project
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the Project
        category:
          anyOf:
            - type: string
            - type: 'null'
          title: Category
          description: Category of the Project
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
          description: URL of the Project
        type:
          anyOf:
            - type: string
            - type: 'null'
          title: Type
          description: Type of the Project
        vendor_attributes:
          allOf:
            - $ref: '#/components/schemas/ITSMProjectVendorAttributes'
          description: Vendor-specific attributes of the Project
      type: object
      required:
        - id
        - name
        - vendor_attributes
      title: ITSM Project
    ITSMProjectVendorAttributes:
      properties:
        id:
          type: string
          title: Id
          description: Vendor's ID for the Project
        vendor:
          type: string
          title: Vendor
          description: Vendor name
        created_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Created At
          description: Creation time of the Project in Vendor
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Last update time of the Project in Vendor
        data:
          anyOf:
            - oneOf:
                - $ref: '#/components/schemas/JiraProjectVendorAttributesData'
              discriminator:
                propertyName: vendor
                mapping:
                  JIRA:
                    $ref: '#/components/schemas/JiraProjectVendorAttributesData'
            - type: 'null'
          title: Data
          description: Vendor-specific data associated with the Project
      type: object
      required:
        - id
        - vendor
      title: ITSM Project Vendor Attributes
    JiraProjectVendorAttributesData:
      properties:
        vendor:
          type: string
          enum:
            - JIRA
          const: JIRA
          title: Vendor
          default: JIRA
        id:
          anyOf:
            - type: string
            - type: 'null'
          title: Id
        projectTypeKey:
          anyOf:
            - type: string
            - type: 'null'
          title: Projecttypekey
        isPrivate:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Isprivate
        issueTypes:
          anyOf:
            - items:
                $ref: '#/components/schemas/JiraIssueTypeData'
              type: array
            - type: 'null'
          title: Issuetypes
      type: object
      title: JiraProjectVendorAttributesData
    JiraIssueTypeData:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        subtask:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Subtask
      type: object
      required:
        - id
        - name
      title: JiraIssueTypeData
      description: Jira issue type as stored in project vendor attributes.
  securitySchemes:
    Connection-ID:
      type: apiKey
      in: header
      name: X-CONNECTION-ID
    API-Key:
      type: apiKey
      in: header
      name: X-API-KEY

````